Sign inGet started

List Workspace compliance Requirements

GET
/workspaces/{workspaceId}/endpoints/{endpointId}/compliance-requirements
List compliance requirements for a capability/destination. If no capability/destination is provided, all compliance requirements are returned. This result may be paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Corps de la réponse
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
obligatoire
Afficher les attributs enfants
results.status
string
obligatoire
Possible values: satisfied, pending, unsatisfied
results.mutable
boolean
obligatoire
results.immutableReason
string
Possible values: managed, dependency, none
results.message
string
results.evaluatedAt
string
results.issues
array of string
results.userId
string
results.name
string
obligatoire
results.type
string
obligatoire
Possible values: kyc-form
results.capabilities
array of string
obligatoire
results.destinations
array of string
results.managedBy
string
results.appliesTo
string
Specifies whether this requirement applies to endpoint-level or destination-level evaluation. Empty means both.
Possible values: endpoint, destination
results.forms
array of object
Afficher les attributs enfants
results.forms.conditions
object
results.forms.countryCode
string
results.forms.createdAt
string
obligatoire
results.forms.defaultLocale
string
obligatoire
results.forms.gracePeriodDays
integer
results.forms.id
string
obligatoire
results.forms.name
string
obligatoire
results.forms.questions
array of object
obligatoire
Afficher les attributs enfants
results.forms.questions.locale
string
obligatoire
results.forms.questions.questions
array of object
obligatoire
Afficher les attributs enfants
results.forms.questions.questions.conditions
array of object
Afficher les attributs enfants
results.forms.questions.questions.conditions.key
string
results.forms.questions.questions.conditions.value
string
results.forms.questions.questions.description
string
results.forms.questions.questions.displayName
string
obligatoire
results.forms.questions.questions.format
string
obligatoire
Possible values: none
results.forms.questions.questions.key
string
obligatoire
results.forms.questions.questions.mapping
string
Map the answer to a contact attribute. If not set, the answer will not be mapped.
results.forms.questions.questions.options
array of object
Afficher les attributs enfants
results.forms.questions.questions.options.key
string
results.forms.questions.questions.options.value
string
results.forms.questions.questions.placeholder
string
results.forms.questions.questions.required
boolean
results.forms.questions.questions.timezone
string
results.forms.questions.questions.type
string
obligatoire
Possible values: bool, boolArray, intArray, float, floatArray
results.forms.questions.questions.formQuestionConfig
object
Afficher les attributs enfants
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig
object
Afficher les attributs enfants
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.allowTimezoneSelectionByUser
boolean
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.datetimeRange
object
obligatoire
Afficher les attributs enfants
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.datetimeRange.type
string
Possible values: any, future, past
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.defaultTimezone
string
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.includeTime
boolean
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.localeOverride
string
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.timeFormat
string
Possible values: am-pm, 24h
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.timePlaceholder
string
results.forms.questions.questions.formQuestionConfig.type
string
Possible values: stringDatetime
results.forms.questions.questions.ui:type
string
hint the UI what form to show if type isn't sufficient
Possible values: shortText, longText, dropdown, radio, checkboxSelect
results.forms.scope
string
obligatoire
Possible values: number, organization, channel
results.forms.status
string
obligatoire
Possible values: draft, active, deactivated
results.forms.updatedAt
string
obligatoire
results.formOptions
object
results.formId
string
results.formEntryId
string
results.formEntry
object
Afficher les attributs enfants
results.formEntry.answers
array of object
obligatoire
Afficher les attributs enfants
results.formEntry.answers.isDefault
boolean
results.formEntry.answers.key
string
obligatoire
results.formEntry.answers.valueString
string
obligatoire
results.formEntry.businessProfileId
string
The ID of an existing Business Profile.
results.formEntry.businessProfileVersion
integer
The version of the Business Profile.
results.formEntry.createdAt
string
obligatoire
results.formEntry.displayName
string
results.formEntry.formId
string
obligatoire
results.formEntry.id
string
obligatoire
results.formEntry.locale
string
obligatoire
results.formEntry.organizationId
string
obligatoire
results.formEntry.reviewComment
string
results.formEntry.status
string
obligatoire
The status of the form entry.
Possible values: draft, submitted, approved, rejected, expired
results.formEntry.tags
array of object
Afficher les attributs enfants
results.formEntry.tags.key
string
obligatoire
results.formEntry.tags.value
string
obligatoire
results.formEntry.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/compliance-requirements' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'